<Include SRC="{{XLISTBOX_PATH}}xlistbox.html" />
<Include SRC="{{LISTBOX_PATH}}listbox.html" />
<WebBox ID="selectUsers">
  <form name="selectUsers" onSubmit="return false;">
  <table cellspacing="1" cellpadding="3" bgcolor="#000000" border="0">
    <tbody> 
    <tr> 
      <td align=middle bgcolor=#ededed><font color=#363636 
	    size=2><b>Select Users</b></font></td>
    </tr>
    <tr> 
      <td bgcolor=#eeeeee> 
	<table width="88%" border="0" cellspacing="0" cellpadding="0">
	  <tr>
	    <td width="40%" height="27" > <div align="left">Username:</div></td>
	    <td width="60%" > <div align="left">
		<input type="text" name="username" value="{{username}}" onblur="selectUsername(this)" size="15">
	      </div></td>
	  </tr>
	  <tr>
	    <td width="40%" height="27" > <div align="left">Name:</div></td>
	    <td width="60%" > <div align="left">
		<input type="text" name="user_name" value="{{name}}" size="15" onblur="selectName(this)">
	      </div></td>
	  </tr>
	  <tr>
	    <td height="28" valign="bottom">Office:</td>
	    <td valign="bottom">
	      <WebObject Class="xlistbox" Name="offices"
		      rs="xlistbox_{{offices}}"
		      mainlist="true"
		      sublist="departments" 
		      onchange="selectOffice(this)" />
	      </td>
	  </tr>
	  <tr>
	    <td height="30" valign="top">Department:</td>
	    <td valign="top">
	      <WebObject Class="xlistbox" Name="departments"
		      rs="xlistbox_{{departments}}"
		      onchange="selectDept(this)" />
	      </td>
	  </tr>
	  <tr>
	    <td height="30">Access Right:</td>
	    <td>
	        <WebObject Class="listbox" Name="accessright"
			onchange="selectAccRight(this)"
			width="----------------" />
	    </td>
	  </tr>
	  <tr>
	    <td colspan="2" align="center">
	      <br>
	      [<a href="javascript: GoTo('thisPage?event=listOfUsers.refresh')">Select</a>]
	    </td>
	  </tr>
	</table>
      </td>
    </tr>
    </tbody> 
  </table>
  </form>
  <script language="javascript">
    var form = document.selectUsers;
    xlistbox_select(form.offices, '{{office}}');
    fill_sublist(form.departments, '{{office}}', '{{department}}');
  </script>
</WebBox>
